Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Sequence.i File Reference

This graph shows which files directly or indirectly include this file:

## Functions
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE CORBA::Octet* | TAO_Unbounded_Sequence< CORBA::Octet >::allocbuf (CORBA::ULong size)
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE void | TAO_Unbounded_Sequence< CORBA::Octet >::freebuf (CORBA::Octet *buffer)
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE | TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence (void)
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE | TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence (CORBA::ULong maximum)
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE | TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence (CORBA::ULong maximum, CORBA::ULong length, CORBA::Octet *data, CORBA::Boolean release)
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE const CORBA::Octet* | TAO_Unbounded_Sequence< CORBA::Octet >::get_buffer (void) const
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE CORBA::Octet* | TAO_Unbounded_Sequence< CORBA::Octet >::get_buffer (CORBA::Boolean orphan)
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE CORBA::Octet& | TAO_Unbounded_Sequence< CORBA::Octet >::operator[] (CORBA::ULong i)
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE const CORBA::Octet& | TAO_Unbounded_Sequence< CORBA::Octet >::operator[] (CORBA::ULong i) const
ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE void | TAO_Unbounded_Sequence< CORBA::Octet >::replace (CORBA::ULong max, CORBA::ULong length, CORBA::Octet *data, CORBA::Boolean release)

## Function Documentation

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence ( | CORBA::ULong maximum,
| CORBA::ULong length,
| CORBA::Octet * data,
| CORBA::Boolean release )

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence ( | CORBA::ULong maximum )

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence ( | void )

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE CORBA::Octet* TAO_Unbounded_Sequence< CORBA::Octet >::allocbuf ( | CORBA::ULong size )

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE void TAO_Unbounded_Sequence< CORBA::Octet >::freebuf ( | CORBA::Octet * buffer )

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE CORBA::Octet* TAO_Unbounded_Sequence< CORBA::Octet >::get_buffer ( | CORBA::Boolean orphan )

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE const CORBA::Octet* TAO_Unbounded_Sequence< CORBA::Octet >::get_buffer ( | void ) const

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE const CORBA::Octet& TAO_Unbounded_Sequence< CORBA::Octet >::operator[] ( | CORBA::ULong i ) const

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE CORBA::Octet& TAO_Unbounded_Sequence< CORBA::Octet >::operator[] ( | CORBA::ULong i )

ACE_TEMPLATE_METHOD_SPECIALIZATION ACE_INLINE void TAO_Unbounded_Sequence< CORBA::Octet >::replace ( | CORBA::ULong max,
| CORBA::ULong length,
| CORBA::Octet * data,
| CORBA::Boolean release )